# 物流信息

{% openapi src="/files/v02ChKNDYHjEmzmKcRQh" path="/openApi/logistics" method="post" %}
[openapi.json](https://2777071108-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLUyNA110IhHvQuKkTIYy%2Fuploads%2Fr9bIj0Gq9N8YjsP0wItx%2Fopenapi.json?alt=media\&token=06d384bb-a948-45b3-891b-55f1b9bd2cd3)
{% endopenapi %}

### 物流上传接口请求报文示例

{% code title="uploadLogistics.sh" %}

```
curl --request POST \
  --url https://{openApiUrl}/openApi/logistics \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --header 'request-id: 58675' \
  --header 'request-time: 2022-05-21T23:59:59' \
  --header 'authorization:Bearer 787966BF2479A1BE8E1886CD18E6919447FAF4F357E7056188D4F035661B822' \
  --data 'merNo=12345&gatewayNo=12345001&tradeNo=2022042617331600244628&orderNo=20220426173311&trackingNo=7442543666&trackingWeb=www.yimei.com&lcCode=aCommerce'
```

{% endcode %}

{% openapi src="/files/v02ChKNDYHjEmzmKcRQh" path="/openApi/logistics" method="post" %}
[openapi.json](https://2777071108-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLUyNA110IhHvQuKkTIYy%2Fuploads%2Fr9bIj0Gq9N8YjsP0wItx%2Fopenapi.json?alt=media\&token=06d384bb-a948-45b3-891b-55f1b9bd2cd3)
{% endopenapi %}

### 物流信息查询请求报文示例

{% code title="logistics.sh" %}

```
curl --request GET\
  --url https://{openApiUrl}/openApi/logistics/2022051618185700208077 \
  --header 'request-id: 58675' \
  --header 'request-time: 2022-05-21T23:59:59' \
  --header 'authorization:Bearer 787966BF2479A1BE8E1886CD18E6919447FAF4F357E7056188D4F035661B822' \
```

{% endcode %}

### 结果对象属性描述

| property name | type   | description |
| ------------- | ------ | ----------- |
| result        | Object | 请求响应对象      |
| code          | String | 响应码         |
| message       | String | 响应信息        |
| data          | Object | 数据体         |
| tradeNo       | String | 交易流水号       |
| status        | String | 上传结果状态码     |
| description   | String | 上传结果信息描述    |

{% openapi src="/files/v02ChKNDYHjEmzmKcRQh" path="/openApi/logistics/{tradeNos}" method="get" %}
[openapi.json](https://2777071108-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLUyNA110IhHvQuKkTIYy%2Fuploads%2Fr9bIj0Gq9N8YjsP0wItx%2Fopenapi.json?alt=media\&token=06d384bb-a948-45b3-891b-55f1b9bd2cd3)
{% endopenapi %}

### 结果对象属性描述

| property name   | type    | description                                                                                                                                                            |
| --------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| result          | Object  | 请求响应对象                                                                                                                                                                 |
| code            | String  | 响应码                                                                                                                                                                    |
| message         | String  | 响应信息                                                                                                                                                                   |
| data            | Object  | 数据体                                                                                                                                                                    |
| merNo           | Integer | 商户号                                                                                                                                                                    |
| gatewayNo       | Integer | 网关号                                                                                                                                                                    |
| logisticsStatus | String  | 物流状态，Pending待查询、NotFound 查询不到 、InfoReceived 预报发货 、InTransit 运输途中 、ArrivedDelivery 到达待取 、Delivering 派送途中、Delivered 成功派送、Exception 包裹异常、DeliveryFailure 投递失败、Return 包裹退回 |
| tbLcCode        | String  | 物流运输商编号                                                                                                                                                                |
| trackingNo      | String  | 物流单号                                                                                                                                                                   |
| trackingWeb     | String  | 物流网址                                                                                                                                                                   |
| tradeNo         | String  | 交易流水号                                                                                                                                                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://asiabill.gitbook.io/openapi/gong-neng-jie-kou/wu-liu-xin-xi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
